"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CleanupInterceptor = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const operators_1 = require("rxjs/operators");
const api_utils_1 = require("../api.utils");
let CleanupInterceptor = class CleanupInterceptor {
    intercept(context, next) {
        const contextType = context.getType();
        if (!["http", "https"].includes(contextType)) {
            return next.handle();
        }
        return next
            .handle()
            .pipe((0, operators_1.tap)(result => api_utils_1.ApiUtils.cleanupApiValueRecursively(result)));
    }
};
CleanupInterceptor = tslib_1.__decorate([
    (0, common_1.Injectable)()
], CleanupInterceptor);
exports.CleanupInterceptor = CleanupInterceptor;
//# sourceMappingURL=cleanup.interceptor.js.map